package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(
   name = "EWorkflowRunType"
)
@XmlEnum
public enum EWorkflowRunType {
   SCHEDULE,
   USER_REQUEST,
   DEBUG_SESSION,
   SERVER_INIT;

   public String value() {
      return this.name();
   }

   public static EWorkflowRunType fromValue(String v) {
      return valueOf(v);
   }
}
